aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SetIdentityNotificationTopic

Synopsis

- data SetIdentityNotificationTopic = SetIdentityNotificationTopic {
  - sntIdentity :: Text
  - sntNotificationType :: NotificationType
  - sntSnsTopic :: Maybe Text
  }
- data SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse
- data NotificationType
  - = Bounce
  - | Complaint

# Documentation

data SetIdentityNotificationTopic #

Change or remove the Amazon SNS notification topic to which notification of the given type are published.

Constructors

SetIdentityNotificationTopic |

Fields

- sntIdentity :: Text

  The identity for which the SNS topic will be changed.

- sntNotificationType :: NotificationType

  The type of notifications that will be published to the topic.

- sntSnsTopic :: Maybe Text

  `Just` the ARN of the SNS topic or `Nothing` to unset the topic.

#### Instances

Instances details

SignQuery SetIdentityNotificationTopic # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ServiceConfiguration SetIdentityNotificationTopic |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration

Methods

signQuery :: SetIdentityNotificationTopic -> ServiceConfiguration SetIdentityNotificationTopic queryType -> SignatureData -> SignedQuery #

Show SetIdentityNotificationTopic # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> SetIdentityNotificationTopic -> ShowS # show :: SetIdentityNotificationTopic -> String # showList :: [SetIdentityNotificationTopic] -> ShowS #
Eq SetIdentityNotificationTopic # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool # (/=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool #
Ord SetIdentityNotificationTopic # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Ordering #

(<) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool #

(<=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool #

(>) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool #

(>=) :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> Bool #

max :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> SetIdentityNotificationTopic #

min :: SetIdentityNotificationTopic -> SetIdentityNotificationTopic -> SetIdentityNotificationTopic #

ResponseConsumer SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ResponseMetadata SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityNotificationTopic -> IORef (ResponseMetadata SetIdentityNotificationTopicResponse) -> HTTPResponseConsumer SetIdentityNotificationTopicResponse #

Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
type ServiceConfiguration SetIdentityNotificationTopic # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration

data SetIdentityNotificationTopicResponse #

The response sent back by SES after the `SetIdentityNotificationTopic` command.

Constructors

SetIdentityNotificationTopicResponse |

#### Instances

Instances details

AsMemoryResponse SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type MemoryResponse SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse

Methods

loadToMemory :: SetIdentityNotificationTopicResponse -> ResourceT IO (MemoryResponse SetIdentityNotificationTopicResponse) #

Show SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> SetIdentityNotificationTopicResponse -> ShowS # show :: SetIdentityNotificationTopicResponse -> String # showList :: [SetIdentityNotificationTopicResponse] -> ShowS #
Eq SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool # (/=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool #
Ord SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Ordering #

(<) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool #

(<=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool #

(>) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool #

(>=) :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> Bool #

max :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse #

min :: SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse -> SetIdentityNotificationTopicResponse #

ResponseConsumer SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type ResponseMetadata SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

Methods

responseConsumer :: Request -> SetIdentityNotificationTopic -> IORef (ResponseMetadata SetIdentityNotificationTopicResponse) -> HTTPResponseConsumer SetIdentityNotificationTopicResponse #

Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
type MemoryResponse SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse
type ResponseMetadata SetIdentityNotificationTopicResponse # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata

data NotificationType #

Constructors

Bounce |
Complaint |

#### Instances

Instances details

Show NotificationType # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods showsPrec :: Int -> NotificationType -> ShowS # show :: NotificationType -> String # showList :: [NotificationType] -> ShowS #
Eq NotificationType # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic Methods (==) :: NotificationType -> NotificationType -> Bool # (/=) :: NotificationType -> NotificationType -> Bool #
Ord NotificationType # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Methods

compare :: NotificationType -> NotificationType -> Ordering #

(<) :: NotificationType -> NotificationType -> Bool #

(<=) :: NotificationType -> NotificationType -> Bool #

(>) :: NotificationType -> NotificationType -> Bool #

(>=) :: NotificationType -> NotificationType -> Bool #

max :: NotificationType -> NotificationType -> NotificationType #

min :: NotificationType -> NotificationType -> NotificationType #